export const ColorLegend = ({
  colorScale,
  tickSpacing = 30,
  tickSize = 10,
  tickTextOffset = 20,
}) =>
  colorScale.domain().map((domainValue, i) => (
    <g transform={`translate(0, ${i * tickSpacing})`}>
      <rect  width={tickSize} height={tickSize} fill={colorScale(domainValue)} />
      <text x={tickTextOffset} y={tickSize / 2} dy=".32em">
        {domainValue}
      </text>
    </g>
  ));
