import * as React from 'react';
import { pie, arc } from 'd3';

export const Slice = ({
  pie,
  outerRadiusMain,
  innerRadiusMain,
  xValue,
  donutWidth,
  colors
}) => {
  let arc = d3
    .arc()
    .innerRadius(outerRadiusMain)
    .outerRadius(innerRadiusMain);
  
  const textDonutInnerWidth = outerRadiusMain + donutWidth;
  const textDonutOuterWidth = innerRadiusMain + donutWidth;
  
  let arc2 = d3
    .arc()
    .innerRadius(textDonutInnerWidth)
    .outerRadius(textDonutOuterWidth);

  return pie.map((slice, index) => {
    let sliceColor = colors[index];
    return (
      <>
        <path d={arc(slice)} fill={sliceColor} />
        <text
          className="pie-slice"
          transform={`translate(${arc2.centroid(slice)})`}
          text-anchor="middle"
        >
          {Math.round(slice.value * 1000)/10 + '%'}
        </text>
      </>
    );
  });
};
